import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconExternalLink = (props: IconProps) => {
    return <Icon id="IconExternalLink" {...props}>
        <path d="M16.5 8.25C16.5 7.83579 16.1642 7.5 15.75 7.5H8.25C7.83579 7.5 7.5 7.83579 7.5 8.25C7.5 8.66421 7.83579 9 8.25 9H13.9393L7.71967 15.2197C7.42678 15.5126 7.42678 15.9874 7.71967 16.2803C8.01256 16.5732 8.48744 16.5732 8.78033 16.2803L15 10.0607V15.75C15 16.1642 15.3358 16.5 15.75 16.5C16.1642 16.5 16.5 16.1642 16.5 15.75V8.25Z" />
        <path fillRule="evenodd" clipRule="evenodd" d="M3 6C3 4.34315 4.34315 3 6 3H18C19.6569 3 21 4.34315 21 6V18C21 19.6569 19.6569 21 18 21H6C4.34315 21 3 19.6569 3 18V6ZM6 4.5H18C18.8284 4.5 19.5 5.17157 19.5 6V18C19.5 18.8284 18.8284 19.5 18 19.5H6C5.17157 19.5 4.5 18.8284 4.5 18V6C4.5 5.17157 5.17157 4.5 6 4.5Z" />
    </Icon>;
};

export default IconExternalLink;
